Bug 595591 - [Broadcom 6.0 bug] brcm_iscsiuio may place stale packets on the wire
Summary: [Broadcom 6.0 bug] brcm_iscsiuio may place stale packets on the wire
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iscsi-initiator-utils   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 6.0
Assignee: Andy Grover
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: OtherQA
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 06:05 UTC by Benjamin Li
Modified: 2012-06-26 16:26 UTC (History)
8 users (show)

Fixed In Version: iscsi-initiator-utils-6.2.0.872-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 14:00:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
brcm_iscsiuio uIP-0.5.15 (477.48 KB, application/gzip)
2010-05-25 06:07 UTC, Benjamin Li
no flags Details

Description Benjamin Li 2010-05-25 06:05:42 UTC
Only put data on the wire if there is indication from the uIP stack.

Without this fix, there were reports of being flooded with ARP data from a broadcast address.  This is because uIP will silently dropthis packet but didn't give any indication back.  This will send thebogus packet on the wire and other Window's boxes will respond. Which would cause a loop and thus flooding the network.

Repro steps

1.  Run uIP with broadcast traffic.  Windows machines on the network will reply.

Comment 1 Benjamin Li 2010-05-25 06:07:46 UTC
Created attachment 416279 [details]
brcm_iscsiuio uIP-0.5.15

brcm_iscsiuio uIP-0.5.15 should resolve this problem.  The solution here is to check additional indications from the uIP whether to place packets on the wire or not.

Comment 3 Mike Christie 2010-05-25 19:15:26 UTC
If it is possible, I think this would be ok for 6.0. It was found while testing our beta code and the fix will only affect the bnx2i driver. Adding devel ack.

Comment 4 RHEL Product and Program Management 2010-05-25 19:26:28 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Mike Christie 2010-07-11 09:38:57 UTC
This is fixed in iscsi-initiator-utils-6.2.0.872-6. You can download it here:
http://people.redhat.com/mchristi/iscsi/rhel6.0/iscsi-initiator-utils/

Comment 7 Mike Christie 2010-07-12 21:13:46 UTC
There was a fix from Shyam (from https://bugzilla.redhat.com/show_bug.cgi?id=580743#c44) to the brcm code. I forgot to add this to the iscsi-initiator-utils-6.2.0.872-6 release.

I respun it with that fix included. Same download dir:

http://people.redhat.com/mchristi/iscsi/rhel6.0/iscsi-initiator-utils/ 

but there is a new version initiator-utils-6.2.0.872-7.

Comment 8 Andrius Benokraitis 2010-07-12 22:31:30 UTC
Benjamin @ BRCM - please test this ASAP.

Comment 9 Benjamin Li 2010-07-14 05:28:36 UTC
Hi Andrius,

I will see if I can help verify this.  But, I am aAlso adding Edward Ng <edwardn@broadcom.com> who is in charge of the Broadcom Linux iSCSI testing to see if he can also help.

Thanks again.

-Ben

Comment 11 Gideon Naim 2010-09-02 21:50:48 UTC
This was later fixed and verified with newer uIP 5.15.1.RHEL60, it is in initiator-utils-6.2.0.872-10

Comment 12 releng-rhel@redhat.com 2010-11-15 14:00:18 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.